<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Post;
use App\Models\ProductCategory;
use App\Models\Product;



class BlogController extends Controller
{
    public function index(){

        $recentPosts = Post::orderBy('created_at', 'desc')->take(10)->get();


        return view('blog.index',compact('recentPosts'));
    }

    public function show($slug){

        $post = Post::where('slug', $slug)->first();
        
        $recentPosts = Post::orderBy('created_at', 'desc')->take(5)->get();
      
      
        return view('blog.blog-detail', compact('post','recentPosts'));
   

    }

    public function show_category($title) {

        $product_category = ProductCategory::where('title',$title)->first();

        $products = Product::where('category' , $product_category->title)->orderBy('id','desc')->get();



        
        return view('blog.products',compact('product_category','products'));
    }

    public function show_product($slug){

        $x = Product::where('slug',$slug)->first();
        return view('blog.product_detail',compact('x'));
    }

    public function show_services(){

        $services = Product::where('category_type','service')->orderBy('id')->get();

        return view('screens.services',compact('services'));
    }

    public function show_service_detail($slug){

        $x = Product::where('slug',$slug)->first();

      
        return view('blog.service_detail', compact('x'));
    }


    public function solar_hybrid(){

  return view('blog.solar_hybrid');
    }
    
}
