<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('products', function (Blueprint $table) {
            $table->id();
            $table->timestamps();

            $table->string('title')->default('Post New');
            $table->string('slug')->default('001');
            $table->text('description')->default('');


            $table->integer('price')->default('1000');
            $table->enum('category_type', ['service', 'product'])->nullable();

            $table->string('category')->default('General');

            $table->string('file_path')->nullable();          
   


        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('products');
    }
};
