@extends('screens.layout')

@section('content')


    <div class="container-fluid page-header py-5 mb-5">
        <div class="container py-5">
            <h1 class="display-3 text-white mb-3 animated slideInDown">Blog </h1>
            <nav aria-label="breadcrumb animated slideInDown">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a class="text-white" href="{{ route('homepage') }}">Home</a></li>
                  
                    <li class="breadcrumb-item text-white active" aria-current="page">Blog</li>
                </ol> 
            </nav>
        </div>
    </div>

    <div class="container-xxl py-5">
        <div class="container">
            <div class="text-center mx-auto mb-5 wow fadeInUp" data-wow-delay="0.1s" style="max-width: 600px;">
                <h4 class="text-primary">Recent Posts</h4>
                
            </div>
            <div class="row g-4">

                @foreach ($recentPosts as $post)
                    
               
                <div class="col-md-6 col-lg-4 wow fadeInUp" data-wow-delay="0.1s">
                    <div class="service-item rounded overflow-hidden">
                        <img class="img-fluid" src="{{ asset('uploads/filing/' . $post->file_path) }}" alt="">
                        <div class="position-relative p-4 pt-0">
                            <div class="service-icon">
                                <i class="fa fa-solar-panel fa-3x"></i>
                            </div>
                            <h4 class="mb-3">{{ $post->title }}</h4>
                            <p>   {!! Illuminate\Support\Str::limit($post->body, 190) !!}.</p>
                            <a class="small fw-medium" href="{{ url('blog/'.Str::slug($post->title)) }}">Read More<i class="fa fa-arrow-right ms-2"></i></a>
                        </div>
                    </div>
                </div>

                @endforeach
      
            </div>
        </div>
    </div>

   

 

@endsection


